'Newland.CityTheme:Container':
  superTypes:
    'Neos.Neos:Content': true

  ui:
    label: Container
    group: 'structure'
    icon: square-o
    inspector:
      groups:
        settings:
          label: Einstellungen
          icon: cog

  properties:
    title:
      type: string
      defaultValue: 'Container'
      ui:
        label: Container
        inlineEditable: true
        inspector:
          group: 'settings'
    backgroundColor:
      type: string
      defaultValue: ''
      ui:
        label: Hintergrundfarbe
        reloadIfChanged: true
        inspector:
          group: 'settings'
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Keine
                value: ''
              grey:
                label: Grau
                value: 'o-section--grey'
              highlight:
                label: Highlight
                value: 'o-section--highlight'

  childNodes:
    items:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          'Newland.CityTheme:GridTeaser': false
          'Newland.CityTheme:Container': false
          'Newland.CityTheme:PoiGridTeaser': false
          'Newland.CityTheme:IconTeaser': false
          'Newland.CityTheme:PartnerLogo': false
          'Newland.CityTheme:PartnerLogos': false
          'Newland.CityTheme:NodeFinder': false
          'Newland.CityTheme:FactTeaser': false
          'Newland.CityTheme:Toggle': false
          'Newland.CityTheme:Webcam': false
          'Newland.CityTheme:HeroSlider': false
          'Newland.CityTheme:TextTeaser': false
          # 'Newland.CityTheme:Swiper': false
          'Newland.CityTheme:MediaSliderVideo': false
          'Newland.CityTheme:MediaSliderImage': false
          'Newland.CityTheme:SliderTeaser': false
          'Newland.CityTheme:HeroSlide': false
          'Newland.CityTheme:SearchButton': false


          # NodeTypes from packages used only in specific locations
          'Newland.Toubiz.Poi.Neos:ListLink': false
          'Newland.Toubiz.Poi.Neos:Teaser': false
          'Newland.Toubiz.Events.Neos:ListLink': false
          'Newland.Toubiz.Map.Neos:Map.Markers': false
          'Newland.Toubiz.Map.Neos:Map.FilterItem': false
